//
//  Wumbo-TouchInput.cpp
//  Wumbo
//
//  Created by Wade McGillis on 10/28/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//

#include "Wumbo-TouchInput.h"

namespace Wumbo
{
	const int TouchInput::SWIPE_LEFT = 0;
	const int TouchInput::SWIPE_UP = 1;
	const int TouchInput::SWIPE_RIGHT = 2;
	const int TouchInput::SWIPE_DOWN = 3;
	
	void TouchInput::initialize()
	{
		InputMethod::initialize();
	}
	void TouchInput::deinitialize()
	{
		InputMethod::deinitialize();
	}
	void TouchInput::update()
	{
	}
	void TouchInput::onEndOfFrame()
	{
	}
	TouchInput::TouchInput()
	{
		manager = NULL;
	}
	TouchInput::TouchInput(InputManager *man)
	{
		manager = man;
	}
	bool TouchInput::swiped(int direction)
	{
		return false;
	}
	void TouchInput::clearTouches()
	{
	}
	bool TouchInput::touched()
	{
		return false;
	}
	bool TouchInput::touched(int x, int y, int x2, int y2)
	{
		return false;
	}
};